For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • GETList environment variables
      • POSTCreate environment variable
      • GETGet environment variable
      • PATCHUpdate environment variable
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsEnvironment Variables

List environment variables

GET
/v1/convai/environment-variables
GET
/v1/convai/environment-variables
$curl https://api.elevenlabs.io/v1/convai/environment-variables
1{
2 "environment_variables": [
3 {
4 "label": "string",
5 "created_at_unix_secs": 1,
6 "updated_at_unix_secs": 1,
7 "type": "string",
8 "id": "string",
9 "workspace_id": "string",
10 "values": {},
11 "created_by_user_id": "string"
12 }
13 ],
14 "has_more": true,
15 "next_cursor": "string"
16}
List all environment variables for the workspace with optional filtering
Was this page helpful?
Previous

Create environment variable

Next
Built with

Headers

xi-api-keystringOptional

Query parameters

cursorstring or nullOptional
Pagination cursor from previous response
page_sizeintegerOptional1-100Defaults to 100

Number of items to return (1-100)

labelstring or nullOptional
Filter by exact label match
environmentstring or nullOptional
Filter to only return variables that have this environment. When specified, the values dict in the response will only contain this environment.
typeenum or nullOptional
Filter by variable type
Allowed values:

Response

Successful Response
environment_variableslist of objects
has_moreboolean
next_cursorstring or null

Errors

400
Bad Request Error
422
Unprocessable Entity Error